Rated 5 out of 5 stars

I updated this by increasing the max version in the Intall.rdf file. You have to open the xpi file first using a zip program like jzip and then edit the install.rdf using notepad. Change the line that says maxVersion to say 4.0 between the arrows like so: >4.0<. Seem to be working fine since I updated it. When you close jzip and it asks you if you want to "update archive" do that as well and then you just have to install the xpi using the addon manager. You might also have to use internet explorer to download the xpi from somewhere on the internet. I don't know of any way to do it here at the addons page.